Package org.apache.sling.feature.maven.mojos

# Class AbstractRepositoryMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.feature.maven.mojos.AbstractFeatureMojo
org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo
org.apache.sling.feature.maven.mojos.AbstractRepositoryMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

Direct Known Subclasses:
  `CollectArtifactsMojo`, `RepositoryMojo`

public abstract class AbstractRepositoryMojo extends AbstractIncludingFeatureMojo

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`AbstractIncludingFeatureMojo.FeatureScanner`

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`AbstractFeatureMojo.BaseArtifactProvider, AbstractFeatureMojo.BaseFeatureProvider`

## Field Summary

### Fields inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`defaultMetadata, features, jarStartOrder, mavenSession, project, projectHelper`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractRepositoryMojo()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(File artifactDir, Map<String,org.apache.sling.feature.Feature> features, List<org.apache.maven.model.Dependency> embed)`
`abstract void`
`execute()`
`protected org.apache.sling.feature.Feature`
`getLocalFeature(org.apache.sling.feature.ArtifactId id)`
`protected void`
`processFeature(File artifactDir, org.apache.sling.feature.Feature f)`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`getSelectedFeatures, selectAllFeatureFiles, selectAllFeatureFilesAndAggregates`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`checkPreconditions, getTmpDir`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractRepositoryMojo

public AbstractRepositoryMojo()

## Method Details

### execute

public abstract void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`

### doExecute

protected void doExecute(File artifactDir, Map<String,org.apache.sling.feature.Feature> features, List<org.apache.maven.model.Dependency> embed) throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`

### getLocalFeature

protected org.apache.sling.feature.Feature getLocalFeature(org.apache.sling.feature.ArtifactId id)

### processFeature

protected void processFeature(File artifactDir, org.apache.sling.feature.Feature f) throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`